﻿//this source code was auto-generated by tolua#, do not modify it
using System;
using LuaInterface;

public class UIAnchorWrap
{
	public static void Register(LuaState L)
	{
		L.BeginClass(typeof(UIAnchor), typeof(UnityEngine.MonoBehaviour));
		L.RegFunction("Start", FUNCTAG_Start);
		L.RegFunction("Update", FUNCTAG_Update);
		L.RegFunction("ForceUpdate", FUNCTAG_ForceUpdate);
		L.RegVar("uiCamera", FUNCTAG_get_uiCamera, FUNCTAG_set_uiCamera);
		L.RegVar("container", FUNCTAG_get_container, FUNCTAG_set_container);
		L.RegVar("side", FUNCTAG_get_side, FUNCTAG_set_side);
		L.RegVar("runOnlyOnce", FUNCTAG_get_runOnlyOnce, FUNCTAG_set_runOnlyOnce);
		L.RegVar("relativeOffset", FUNCTAG_get_relativeOffset, FUNCTAG_set_relativeOffset);
		L.RegVar("pixelOffset", FUNCTAG_get_pixelOffset, FUNCTAG_set_pixelOffset);
		L.EndClass();
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_Start(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 1);
			UIAnchor obj = (UIAnchor)ToLua.CheckObject(L, 1, typeof(UIAnchor));
			obj.Start();
			return 0;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_Update(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 1);
			UIAnchor obj = (UIAnchor)ToLua.CheckObject(L, 1, typeof(UIAnchor));
			obj.Update();
			return 0;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_ForceUpdate(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 1);
			UIAnchor obj = (UIAnchor)ToLua.CheckObject(L, 1, typeof(UIAnchor));
			obj.ForceUpdate();
			return 0;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_get_uiCamera(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			UIAnchor obj = (UIAnchor)o;
			UnityEngine.Camera ret = obj.uiCamera;
			ToLua.Push(L, ret);
			return 1;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o == null ? "attempt to index uiCamera on a nil value" : e.Message);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_get_container(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			UIAnchor obj = (UIAnchor)o;
			UnityEngine.GameObject ret = obj.container;
			ToLua.Push(L, ret);
			return 1;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o == null ? "attempt to index container on a nil value" : e.Message);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_get_side(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			UIAnchor obj = (UIAnchor)o;
			UIAnchor.Side ret = obj.side;
			ToLua.Push(L, ret);
			// fix because it will return the string of enum
			//LuaDLL.lua_pushnumber(L, (int)ret);
			return 1;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o == null ? "attempt to index side on a nil value" : e.Message);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_get_runOnlyOnce(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			UIAnchor obj = (UIAnchor)o;
			bool ret = obj.runOnlyOnce;
			LuaDLL.lua_pushboolean(L, ret);
			return 1;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o == null ? "attempt to index runOnlyOnce on a nil value" : e.Message);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_get_relativeOffset(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			UIAnchor obj = (UIAnchor)o;
			UnityEngine.Vector2 ret = obj.relativeOffset;
			ToLua.Push(L, ret);
			return 1;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o == null ? "attempt to index relativeOffset on a nil value" : e.Message);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_get_pixelOffset(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			UIAnchor obj = (UIAnchor)o;
			UnityEngine.Vector2 ret = obj.pixelOffset;
			ToLua.Push(L, ret);
			return 1;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o == null ? "attempt to index pixelOffset on a nil value" : e.Message);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_set_uiCamera(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			UIAnchor obj = (UIAnchor)o;
			UnityEngine.Camera arg0 = (UnityEngine.Camera)ToLua.CheckUnityObject(L, 2, typeof(UnityEngine.Camera));
			obj.uiCamera = arg0;
			return 0;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o == null ? "attempt to index uiCamera on a nil value" : e.Message);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_set_container(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			UIAnchor obj = (UIAnchor)o;
			UnityEngine.GameObject arg0 = (UnityEngine.GameObject)ToLua.CheckUnityObject(L, 2, typeof(UnityEngine.GameObject));
			obj.container = arg0;
			return 0;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o == null ? "attempt to index container on a nil value" : e.Message);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_set_side(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			UIAnchor obj = (UIAnchor)o;
			UIAnchor.Side arg0 = (UIAnchor.Side)(int)LuaDLL.lua_tonumber(L, 2);
			obj.side = arg0;
			return 0;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o == null ? "attempt to index side on a nil value" : e.Message);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_set_runOnlyOnce(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			UIAnchor obj = (UIAnchor)o;
			bool arg0 = LuaDLL.luaL_checkboolean(L, 2);
			obj.runOnlyOnce = arg0;
			return 0;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o == null ? "attempt to index runOnlyOnce on a nil value" : e.Message);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_set_relativeOffset(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			UIAnchor obj = (UIAnchor)o;
			UnityEngine.Vector2 arg0 = ToLua.ToVector2(L, 2);
			obj.relativeOffset = arg0;
			return 0;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o == null ? "attempt to index relativeOffset on a nil value" : e.Message);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_set_pixelOffset(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			UIAnchor obj = (UIAnchor)o;
			UnityEngine.Vector2 arg0 = ToLua.ToVector2(L, 2);
			obj.pixelOffset = arg0;
			return 0;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o == null ? "attempt to index pixelOffset on a nil value" : e.Message);
		}
	}
}

